Skip to main content
GET
Get a customer

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

customer_id
string<uuid>
required

Response

Customer state, including current KYC and PIX verification fields.

customer_id
string<uuid>
partner_id
string<uuid>
type
string
customer_name
string
email
string<email>
tax_id
string
country
string
lumx_customer_id
string
kyc_status
string
default_wallet
string
lumx_bank_account_id
string
pix_key_type
string
pix_key
string
bank_account_verification_status
string
bank_account_verification_level
string
wallets
object[]
requirements
object[]
kyc_rejection_reason
string | null
associated_parties
object[]
created_at
string<date-time>
updated_at
string<date-time>